---
title: GET /v3/publishing-events/{publishing_event_id}/progress-updates
slug: content-marketing-platform/api/get-v3publishing-eventspublishingeventidprogress-updates
docTags: 
createdAt: 2026-10-13T13:35:30.349Z
---

{
  "id": "V_cylOfEqS-398Z25SsWA",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}/progress-updates",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}/progress-updates",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /v3/publishing-events/{publishing_event_id}/progress-updates",
    "description": "<p>Get the progress updates posted for a publishing event, newest first.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "publishing_event_id",
          "type": "string",
          "example": "1d9d8aeca10811ebbc640242ac12001b",
          "description": "Unique identifier of the publishing event"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer",
          "example": 5,
          "description": "<p>Starting index of results (zero indexed)</p>",
          "default": 0,
          "minimum": 0
        },
        {
          "kind": "optional",
          "name": "page_size",
          "type": "integer",
          "example": 15,
          "description": "Number of results to return per page",
          "default": 10,
          "minimum": 1,
          "maximum": 1000
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of posted progress updates",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "PublishingEventProgressUpdateListResponse",
            "schema": [
              {
                "name": "data",
                "kind": "required",
                "type": "array",
                "description": "<p>Progress updates posted for the publishing event, newest first</p>",
                "modelRef": "#/components/schemas/PublishingEventProgressUpdateResponse",
                "customType": "PublishingEventProgressUpdateResponse[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "nullable": false,
                    "description": "Unique identifier of the progress update",
                    "example": "5ebcd5644967474414564"
                  },
                  {
                    "name": "level",
                    "kind": "required",
                    "type": "string<info | error>",
                    "nullable": false,
                    "description": "Severity of the progress update",
                    "example": "info",
                    "enum": [
                      "info",
                      "error"
                    ]
                  },
                  {
                    "name": "message",
                    "kind": "required",
                    "type": "string",
                    "nullable": false,
                    "description": "<p>Human-readable description of what happened</p>",
                    "example": "All assets are ready. Waiting for the destination to confirm publishing."
                  },
                  {
                    "name": "created_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "nullable": false,
                    "description": "When the progress update was posted",
                    "example": "2026-10-01T13:15:30Z",
                    "format": "date-time"
                  }
                ]
              },
              {
                "name": "pagination",
                "kind": "required",
                "type": "object",
                "description": "",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "Pagination",
                    "description": "",
                    "modelRef": "#/components/schemas/Pagination",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the next page",
                        "example": "https://api.cmp.optimizely.com/<some-path-to-next-page>?offset=10&page_size=10"
                      },
                      {
                        "name": "previous",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the previous page",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "",
                        "example": "https://api.cmp.optimizely.com/v3/publishing-events/1d9d8aeca10811ebbc640242ac12001b/progress-updates?offset=10&page_size=10"
                      }
                    ]
                  }
                ],
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/PublishingEventProgressUpdateListResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "sCRlTxXfe8la59MoVjVDu",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}/progress-updates?offset=5&page_size=10' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "17jJ7OMXv-YwMjF6Ghymu",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}/progress-updates?offset=5&page_size=10\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "7KjLOrI4QVPtLbLjBaqcZ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}/progress-updates?offset=5&page_size=10\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "efOm_fciU07m584lB2U9F",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}/progress-updates?offset=5&page_size=10\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "sCRlTxXfe8la59MoVjVDu"
    },
    "results": {
      "languages": [
        {
          "id": "0HHq3vwEaLajqpLyYD9dO",
          "language": "200",
          "code": "// List of posted progress updates\n{\n  \"data\": [\n    {\n      \"id\": \"5ebcd5644967474414564\",\n      \"level\": \"info\",\n      \"message\": \"All assets are ready. Waiting for the destination to confirm publishing.\",\n      \"created_at\": \"2026-10-01T13:15:30Z\"\n    }\n  ],\n  \"pagination\": {}\n}"
        },
        {
          "id": "m5ueR7aeN8kVMgko6ORjm",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "KO-LZmkL0zZlV_AOIoxoH",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "YatMmweGmasmutV9qSh7V",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "lNxNrK3MRC-s1TPqpJOCi",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "0HHq3vwEaLajqpLyYD9dO"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}